; KEY SMTWTFS start duration <-variable parameters-> directory/filename
; ^   ^       ^     ^ MUST ALWAYS HAVE THE 5 PARAMETERS INDICATED     ^
; KEYwords: DIR: directory | RAN: as directory but random order
; STR: stream | RST: random stream from directory of playlists
;   REC: record stream
;
; Error checking is minimal, so ADHERE TO EXAMPLED FORMAT!
;
; More or less, a line is ignored if doesn't have SAVEPATH or one of above
; KEYs in column 1 (after stripping spaces that really shouldn't be present
; anyway). -- Semi-colons here are actually only for show.
;
; INHERENT LIMIT OF 255 LINES because using 8-bit value to refer to line #.
; For REALLY complex scheduling, then, eliminate all these comment lines.
;
; SCHEDULES OVERLAY ACCORDING TO ORDER LISTED; CLASHES SIMPLY DON'T OCCUR!
; Events run - even multiple times - EVERY minute not overlaid.
; This can be HIGHLY convenient to schedule a default action for up to entire
; day (time 00:00, duration 1440).
;
SAVEPATH C:\TEMP
; directory all from 2nd word, can include spaces - but probably shouldn't!
;
; spool or specific PATH OPTION for RECord: further option MOVEs to SAVEPATH
; mainly to prevent HD wear and noise by spooling to RAM drive
;   REC _MTWTF_ 11:03 59 PATH "Z:\" MOVE C:\pls\aj.pls
; varied parms start here^    ^quoted     ^filename always at lastpos ":\"
;
; SPLIT option for RECord breaks long sessions into chunks
;   REC _MTWTF_ 11:02 180 PATH "Z:\" MOVE SPLIT 30 C:\pls\aj.pls
;      follow keyword with time parameter ^in   ^minutes
;
;
; play random streams for 15 minutes each all day every day
RST SMTWTFS 00:00 1440 15 C:\tz\chillout
;
; weekday mornings, a little news from NPR
STR _MTWTF_ 06:01 15 C:\tz\phc_str\KAMU.PLS
STR _MTWTF_ 07:01 15 C:\tz\phc_str\KAMU.PLS
STR _MTWTF_ 08:01 15 C:\tz\phc_str\KAMU.PLS
;
; "Car Talk" on NPR; segments spooled to RAM drive; moved to C:\TEMP
REC ______S 09:00 59 PATH "Z:\" MOVE SPLIT 30 C:\tz\phc_str\KAMU.PLS
;
